version: '3.1'
networks:
  app:
services:
  java:
    container_name: smart-report
    image: fourcicle/smart-report:latest
    restart: unless-stopped
    volumes:
      - /etc/hosts:/etc/hosts:ro
      - /etc/localtime:/etc/localtime:ro
      - /etc/timezone:/etc/timezone:ro
      - ./app/config/application.properties:/app/config/application.properties
    ports:
      - 8109:8099
    networks:
      - app
    working_dir: /app
    command: bash -c "/usr/bin/java -XX:MaxTenuringThreshold=5 -XX:NewRatio=2 -XX:NewSize=128m -XX:+UseConcMarkSweepGC -XX:-UseParNewGC -Xms512m -Xmx512m -jar /app/smart-report.jar"
